BitMagic-C++: bm::bit_vistor_copy_functor< BV > Struct Template Reference

BitMagic-C++

Public Types | Public Member Functions | Data Fields
bm::bit_vistor_copy_functor< BV > Struct Template Reference

Functor for bit-copy (for testing) More...

`#include <bmalgo.h>`

## Public Types
typedef BV::size_type | size_type

## Public Member Functions
| bit_vistor_copy_functor (BV &bv)
void | add_bits (size_type offset, const unsigned char *bits, unsigned size)
void | add_range (size_type offset, size_type size)

## Data Fields
BV & | bv_
bit_visitor_callback_type | func_

## Detailed Description

### template<class BV>
struct bm::bit_vistor_copy_functor< BV >

Functor for bit-copy (for testing)

Definition at line 316 of file bmalgo.h.

## Member Typedef Documentation

## ◆ size_type

template<class BV >

typedef BV::size_type bm::bit_vistor_copy_functor< BV >::size_type

Definition at line 318 of file bmalgo.h.

## Constructor & Destructor Documentation

## ◆ bit_vistor_copy_functor()

template<class BV >

bm::bit_vistor_copy_functor< BV >::bit_vistor_copy_functor | ( | BV & | bv | ) |
| inline

Definition at line 320 of file bmalgo.h.

References bm::bit_vistor_copy_functor< BV >::bv_.

## Member Function Documentation

## ◆ add_bits()

template<class BV >

void bm::bit_vistor_copy_functor< BV >::add_bits | ( | size_type | offset,
|  | const unsigned char * | bits,
|  | unsigned | size
| ) |  |
| inline

Definition at line 326 of file bmalgo.h.

References BM_ASSERT, and bm::bit_vistor_copy_functor< BV >::bv_.

## ◆ add_range()

template<class BV >

void bm::bit_vistor_copy_functor< BV >::add_range | ( | size_type | offset,
|  | size_type | size
| ) |  |
| inline

Definition at line 332 of file bmalgo.h.

References BM_ASSERT, and bm::bit_vistor_copy_functor< BV >::bv_.

## Field Documentation

## ◆ bv_

template<class BV >

BV& bm::bit_vistor_copy_functor< BV >::bv_

Definition at line 338 of file bmalgo.h.

Referenced by bm::bit_vistor_copy_functor< BV >::add_bits(), bm::bit_vistor_copy_functor< BV >::add_range(), and bm::bit_vistor_copy_functor< BV >::bit_vistor_copy_functor().

## ◆ func_

template<class BV >

bit_visitor_callback_type bm::bit_vistor_copy_functor< BV >::func_

Definition at line 339 of file bmalgo.h.

The documentation for this struct was generated from the following file:

- bmalgo.h